Bug 530 - SIGGRAPH 2012 - JogAmp BOF [2012 08 05–09, Los Angeles, CA, USA]
: SIGGRAPH 2012 - JogAmp BOF [2012 08 05–09, Los Angeles, CA, USA]
Status: RESOLVED FIXED
Product: Default
Classification: Unclassified
Component: default
: unspecified
: All all
: P1 enhancement
Assigned To: Sven Gothel
http://s2012.siggraph.org/
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-02 08:22 CET by Sven Gothel
Modified: 2012-12-20 18:48 CET (History)
6 users (show)

See Also:
Type: FEATURE
SCM Refs:
Workaround: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sven Gothel 2011-12-02 08:22:37 CET
SIGGRAPH 2012 - JogAmp BOF [2012 08 05–09, Los Angeles, CA, USA]
  http://s2012.siggraph.org/

Call for participation, demos, inspirations, etc ..

Unlike the last 2 BOF's @ SIGGRAPH, I like to start this one well organized 
a few month ahead of time.

Hopefully we can present all _our_ achievements 
and maybe even the 2.0 release :)

Your input is more than welcome - please do so.
Comment 1 Sven Gothel 2011-12-02 08:25:38 CET
All interested parties: Please add yourself to the CC list!
(Or remove yourself if somebody added you by accident, or 'confusion').
Comment 2 Sven Gothel 2012-02-10 12:54:39 CET
Just a proposal .. please edit etc:

- Julien (maybe with others [Harvey, Gabriel, ..]) demonstrates Java3D on desktop + mobile.

- Julien demonstrates Ardor3D on desktop + mobile.

- Rami demonstrates C3D (GL2ES2 renderer) and updated graph package (with me) if ready

- Dominik / Johannes demonstrates some demos on desktop + mobile.

- Wade demonstrates Eclipse/SWT .. and whatever he has in mind

- We all have a dinner afterwards :)
Comment 3 Rami Santina 2012-02-10 13:11:07 CET
surely the graph package shall be ready by then :)
Comment 4 Rami Santina 2012-02-10 13:34:07 CET
This was last years Header and description...for the BOF
we need to edit it...to reflect what we will showcase.

-----------------------------------------------
JogAmp: 2D/3D & Multimedia Across Devices

JogAmp provides JOGL (OpenGL) and JOCL (OpenCL) across devices on top of Java. This session showcases resolution-independent curve, font, and UI GPU rendering on desktop and mobile (Android, etc.) devices.

JogAmp Community
sgothel (at) jogamp.org
Comment 5 Sven Gothel 2012-02-10 13:57:21 CET
My proposal:

++++

JogAmp: 2D/3D & Multimedia Across Devices

JogAmp provides JOGL (OpenGL), JOCL (OpenCL) across devices on top of Java.
Showcasing graph (curve, font and UI GPU rendering),
high level API utilization (Ardor3D, Java3D, ..) and dedicated applications
on Android, Linux, Window, OSX and Solaris/OpenIndiana.

+++

Ok .. here I have edited the invitation letter from last year:

+++++++++

Dear XXX, 

Jogamp will be at SIGGRAPH 2012 <http://s2012.siggraph.org/>,
2012 08 05–09, Los Angeles, CA, USA, this year with it's regular BOF.

This years BOF is planned and discussed here
<https://jogamp.org/bugzilla/show_bug.cgi?id=530>.

The JogAmp team would love you to join us at this meeting
and maybe you even like to contribute with a demonstration of yours 
and talk about your experiences and tips.

JogAmp: 2D/3D & Multimedia Across Devices
<date> | <time> | <location>

JogAmp provides JOGL (OpenGL), JOCL (OpenCL) across devices on top of Java.
Showcasing graph (curve, font and UI GPU rendering),
high level API utilization (Ardor3D, Java3D, ..) and dedicated applications
on Android, Linux, Window, OSX and Solaris/OpenIndiana.

Our goal are to:
   - recapitulate last year progress and discuss our directions 
   - demonstrate JogAmp Modules (JOGL, JOCL, ..) on supported platforms
     Android (arm), Linux (arm, x86), Window (x86), OSX (x86) and Solaris/OpenIndiana (x86).
   - showcase release 2.0 and it's deployment
   - showcase graph, our curve, font and UI GPU rendering
   - showcase high level API utilization with our Ardor3D, Java3D, .. ports
   - showcase user contributions and applications / use-cases 

If you would like to showcase some tool/demo that uses JOGL, JOAL and/or JOCL,
please contact us.

Hope to see you there!

Best Regards,

JogAmp Community
http://jogamp.org
Comment 6 Sven Gothel 2012-04-17 15:57:01 CEST
Rami applied for us w/ the short description:

"JogAmp provides OpenGL, OpenCL across devices on top of Java. Showcasing font UI & video, high level API utilization (Ardor3D, Java3D, ..) & applications on Android, Linux, Window, OSX & Solaris."

We ordered projectors, mics .. etc .. Theater room type. 

We will also apply for a presentation on the Mobile track.

Keep you posted.
Comment 7 Sven Gothel 2012-04-19 19:42:01 CEST
Published presentation video (1st draft) for Siggraph Mobile application:

<http://www.youtube.com/watch?v=4gWStKCioi8>

- Deadline is May 1st

- Video has to be 5 min. of length, which it currently is.

- Video  shall describe JogAmp's purpose, 
  web, desktop and mobile - one for all.

- If you have a demo,
  which is capable of mobile (ES2) pls let me know,
  I may can sneak it in .. dropping a few seconds from other
  stuff. If you like to push a video itself, pls let it have 720p
  and ~29.97 fps (30000/1001).

Cheers, Sven
Comment 8 Julien Gouesse 2012-06-06 10:44:53 CEST
Hey

Can someone tell me who will eventually participate? Who will show a demo about mobile environment? I will need about 20 minutes for some demos using Ardor3D and maybe Java3D and jzy3d too.
Comment 9 Julien Gouesse 2012-06-06 14:44:50 CEST
Arabian Flights works fine with Java3D 1.6.0 and JOGL 2.0 RC8, I have just done that without changing the source code:
java -classpath gluegen-rt.jar:j3dcore.jar:j3dutils.jar:joal.jar:jogl.all.jar:vecmath.jar:arabian_1.4.jar arabian.GameFrame -silent

You can find it here:
http://arabian.sourceforge.net
Comment 10 Sven Gothel 2012-06-19 00:14:22 CEST
<http://s2012.siggraph.org/attendees/birds-feather>

+++

JogAmp: 2D/3D & Multimedia Across Devices

Tuesday, 7 August 3:30 pm - 5:00 pm

JogAmp provides OpenGL and OpenCL across devices using Java. Showcasing font, UI and video, high-level API utilization (Ardor3D, Java3D, etc.), and applications on Android, Linux, Window, OSX, and Solaris.

JogAmp Community
sgothel@jogamp.org

+++
Comment 11 Sven Gothel 2012-06-20 23:22:40 CEST
Playing catchup ..

+++

IMHO it would be great if everybody of the 
team, who likes to have his content shown,
could produce a 'small' summary [maybe w/ links].

Even if you cannot attend personally, you can have us show 
your content by us - using your information and data.
You will be referenced of course.

A small introduction of each person could be helpful as well,
so we can add this to our web page / presentation, eg:
  - Full name, 'related' professional history - project relation .. etc

Please edit your information in the wiki pages, see below:

+++

I just have setup a wiki page:

<https://jogamp.org/wiki/index.php/JogAmp_BOF_SIGGRAPH_2012_PLANNING>

<http://jausoft.com/blog/2012/04/19/jogljogamp-status-update/>

Please edit it as you seem fit !

All BOF members have a wiki account by now:
- DemoscenePassivist
- Gouessej / Jgouesse 
- Rsantina
- Sgothel
- Wwalker
- Xranby

IMHO we should have the documentation ready by 20'th July 2012 .. 
at least as a good goal, so we can relax and show off :)

Documentation would be: 

- Wiki Page
- Presentation Slides

Sure, we can convert the wiki to slides .. dunno.
Comment 12 Julien Gouesse 2012-06-21 09:29:30 CEST
Hi

I already had a wiki account as far as I know, I rejected the latest account creation.

It would be fine if someone could fix the JNLP support of applets in OpenJDK. I wanted to write an article about WebGL and JOGL and the demo "Angeles" simply didn't work. I will use Java Web Start instead.

I'm going to edit the wiki to clarify some aspects.
Comment 13 Vianel Sierra Aquino 2012-06-25 21:57:29 CEST
Hello: 

I would love if someone showcased the goodies from my website www.pixelapp.biz.

I could attend if siggraph happened in New York.
Comment 14 Julien Gouesse 2012-07-04 15:13:42 CEST
I won't show JFPSM, I prefer keeping some time for TUER. I will show the most advanced demos of Ardor3D and some GUIs based on Nifty GUI with JOGL 2.0. If I have enough time, I will try to do something with LibGDX.
Comment 15 Sven Gothel 2012-12-20 18:48:23 CET
<http://jogamp.org/doc/siggraph2012/>